Bug 146423 - Save dialog infinite loop
Save dialog infinite loop
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-27 19:40 EST by Tim Niemueller
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-01 23:18:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Niemueller 2005-01-27 19:40:10 EST
Description of problem:
The save dialog keeps resizing resulting in an oszillating behaviour
on too long new folder name.

Version-Release number of selected component (if applicable):
# rpm -q gtk2
gtk2-2.4.14-2.fc3

How reproducible:
Always

Steps to Reproduce:
1. Open an Gtk2 application using new save dialog like gedit
2. Save the file
3. Create a new directory. Give it a long name, so long that it cannot
be displayed in one button in the button folder nav bar.

Actual results:
The widgets inside the window are made bigger and smaller. Only way to
stop this is kill the process that opened the save dialog.

Expected results:
Should be able to just save and maybe resize the window to make the
button fit.

Additional info:
none so far
Comment 1 Matthias Clasen 2005-02-01 23:18:16 EST
This is tracked upstream as
http://bugzilla.gnome.org/show_bug.cgi?id=154007

Note You need to log in before you can comment on or make changes to this bug.